﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.DisplayObject;

	public class Spring
	{
		var dot1:MassSprite;
		var dot2:MassSprite;
		var dist, restLen;
		
		var isMuscle:Boolean = false;
		var amp = 1,phase = 0;

		public function Spring(dot1, dot2, initTension=1)
		{
			this.dot1 = dot1;
			this.dot2 = dot2;
			dot1.vx = dot1.vy = 0;
			dot2.vx = dot2.vy = 0;
			this.dist = getLength();
			this.restLen = this.dist*initTension;
		}
		
		public function getLength()
		{
			var dx = dot1.x - dot2.x;
			var dy = dot1.y - dot2.y;
			return Math.sqrt(dx*dx+dy*dy);
		}
		
		public function setMuscle(amp,phase)
		{
			isMuscle = true;
			this.amp = amp;
			this.phase = phase;
		}
	} // end class
} // end package

